POST /v1/western/patterns
Detects Grand Trine, T-Square, Yod, Stellium and Grand Cross chart patterns.
Authorization
ApiKeyAuth X-API-Key<token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/western/patterns" \ -H "Content-Type: application/json" \ -d '{ "date": "1990-01-15T10:30:00" }'{ "success": true, "data": { "grandTrines": [], "grandCrosses": [], "tSquares": [ { "type": "T-Square", "description": "High tension and drive focused on Pluto (Apex), challenged by NorthNode opposing SouthNode", "planets": [ "NorthNode", "Pluto", "SouthNode" ] } ], "yods": [], "stelliums": [ { "type": "Stellium", "description": "A heavy concentration of energy in Capricorn: Sun, Mercury, Saturn, Uranus, Neptune", "planets": [ "Mercury", "Neptune", "Saturn", "Sun", "Uranus" ] } ], "allPatterns": [ { "type": "T-Square", "description": "High tension and drive focused on Pluto (Apex), challenged by NorthNode opposing SouthNode", "planets": [ "NorthNode", "Pluto", "SouthNode" ] }, { "type": "Stellium", "description": "A heavy concentration of energy in Capricorn: Sun, Mercury, Saturn, Uranus, Neptune", "planets": [ "Mercury", "Neptune", "Saturn", "Sun", "Uranus" ] } ], "summary": { "grandTrineCount": 0, "grandCrossCount": 0, "tSquareCount": 1, "yodCount": 0, "stelliumCount": 1 } }}